#!/bin/bash
MYIP=$(ip route get 1 | awk '{print $NF;exit}')


docker stop cdb
docker rm cdb

if [[ "$1" == "build" ]]; then
	docker build -t cdb .
fi

docker run   -e MYSQL_HOST=$MYIP \
			 -e MYSQL_PORT=3306 \
			 -e MYSQL_USERNAME=root \
			 -e MYSQL_PASSWORD=$(cat /home/jb/repos/cloudron/own/simsa/sql.pw) \
			 -e MYSQL_DATABASE=akka \
			 -e REDIS_HOST=$MYIP \
			 -e REDIS_PORT=6379 \
			 -e REDIS_PASSWORD="" \
			 -e ERLANG_PORT=4369 \
			 -e CLUSTER_PORT=9100 \
			 -e APP_DOMAIN=http://127.0.0.1:5984 \
			 -d \
			 -p 5984:5984 \
			 -v "$(pwd)/data:/app/data" \
			 --name cdb \
			 cdb


docker logs cdb -f